Cannot add a reference to 'MathNet.Numerics'

(I'm sorry that I did bad last time)

I use "Manage NuGet Packages for Solution" to download the target package.

It's "MathNet.Numerics" package and I chose to install "Latest stable 4.9.0".

Target framework is ".NET Framework 4.6.1".

When I'm trying to solve the problem through "Package Manager Console", I got the same result.

Here is details:

Output tells:

Attempting to gather dependency information for package 'MathNet.Numerics.4.9.0' with respect to project 'SRTP_Pro1', targeting '.NETFramework,Version=v4.6.1'
Attempting to resolve dependencies for package 'MathNet.Numerics.4.9.0' with DependencyBehavior 'Lowest'
Resolving actions to install package 'MathNet.Numerics.4.9.0'
Resolved actions to install package 'MathNet.Numerics.4.9.0'
Adding package 'MathNet.Numerics.4.9.0' to folder 'D:\Learning\C++\SRTP_Pro1\packages'
Added package 'MathNet.Numerics.4.9.0' to folder 'D:\Learning\C++\SRTP_Pro1\packages'
Install failed. Rolling back...
Package 'MathNet.Numerics.4.9.0' does not exist in project 'SRTP_Pro1'
Removing package 'MathNet.Numerics.4.9.0' from folder 'D:\Learning\C++\SRTP_Pro1\packages'
Removed package 'MathNet.Numerics.4.9.0' from folder 'D:\Learning\C++\SRTP_Pro1\packages'
Failed to add reference to 'MathNet.Numerics'.
========== Finished ==========

Error List only gives an error:

Failed to add reference to 'MathNet.Numerics'.

1 answer

  • answered 2020-03-25 13:40 Useme Alehosaini

    It is Support subject: Example Latest Version of MathNet.Numerics supports .Net Framework 4.0 or higher and .Net Standard 1.3 or higher

    So you may try installing One of the Previous Versions of the NuGet based on your current Framework version